/*========================================================
　　入会について
　========================================================*/

/*ご入会のメリット---------------------------------------*/
.merit-wrapper {
  max-width: 1360px;
  margin: 100px auto 250px;
  padding: 0 30px;
}

.merit-list {
  display: flex;
  flex-wrap: wrap;
  gap: 68px;
  margin-top: 100px;
}

.merit-list-li {
  flex: 1;
  display: flex;
  flex-direction: column;
  gap: 60px;
  padding: 40px 50px 50px;
  border-top: 10px solid #262626;
  border-radius: 10px;
  background: #f0f0f0;
}

.merit-title {
  font-size: 22px;
  font-weight: bold;
  text-align: center
}

.merit-list-img {
  display: flex;
  align-items: center;
  justify-content: center;
  width: 288px;
  aspect-ratio: 1;
  margin: 0 auto;
  border-radius: 50%;
  background: #fff;
}

.merit-list-img img {
  width: 75%;
  aspect-ratio: 1;
  object-fit: contain;
}

.merit-text {
  font-size: 18px;
}

/*会員の種別・内容・料金----------------------------------*/
.plan-wrapper {
  max-width: 1300px;
  margin: 0 auto 100px;
  padding: 0 30px;
}

.plan-text {
  display: flex;
  flex-wrap: wrap;
  flex: 1;
}

.copy-text {
  display: flex;
  align-items: center;
  color: #0055f3;
  text-decoration: underline;

  &::after {
    content: '';
    width: 18px;
    aspect-ratio: 1;
    background: #0055f3;
    mask-image: url(../img/copy-document.svg);
    mask-size: cover;
  }
}

.plan-contents {
  display: flex;
  gap: 25px;
  margin-top: 100px;
}

.plan-item {
  flex: 1;
  display: flex;
  flex-direction: column;
  border: 1px solid #a6a7a7;
  border-radius: 20px;
}

.plan-title {
  background: #8e1728;
  color: #fff;
  font-weight: bold;
  text-align: center;

  &.blue {
    background: #001647;
  }

  &.main {
    grid-column: 1/3;
    margin-bottom: 1px;
    padding: 35px 0;
    border-radius: 20px 20px 0 0;
    font-size: 30px;
  }

  &.sub {
    padding: 25px 0;
    background: #c5272c;
    font-size: 24px;

    &.blue {
      background: #002a89;
    }
  }
}

.plan-item-inner {
  flex: 1;
  display: flex;
  

  & dl {
    flex: 1;
    border-right: 1px solid #a6a7a7;
  }

  & dl:last-child {
    border-right: none;
  }
}

.plan-fee {
  padding: 58px 0;
  border-top: 1px solid #a6a7a7;
  border-bottom: 1px solid #a6a7a7;
  font-size: 24px;
  font-weight: 500;
  text-align: center;

  span {
    font-size: 40px;
    font-weight: bold;
    font-family: 'zen kaku gothic new'
  }
}

.plan-bonus {
  padding: 25px 30px;
  font-size: 18px;
  font-weight: 500;
}

/* 以下　スマホ版css ================================================================================================*/
@media (max-width: 768px) {
  /*スマホ　ご入会のメリット--------------------------------*/
  .merit-wrapper {
    margin: 80px auto 160px;
  }
  
  .merit-list {
    flex-direction: column;
    gap: 50px;
  }

  .merit-list-li {
    gap: 35px;
    padding: 40px 13px 50px;
  }

  /*スマホ　会員の種別・内容・料金--------------------------*/
  .plan-contents {
    flex-direction: column;
  }


  .plan-title {
    &.main {
      font-size: 27px;
    }
    
    &.sub {
      gap: 20px;
      font-size: 20px;
    }
  }

  .plan-item-inner {
    flex-direction: column;

    & dl {
      border-right: none;
    }
  }

  .plan-fee {
    padding: 25px 0;
    font-size: 16px;

    span {
      font-size: 27px;
    }
  }

  .plan-bonus {
    padding: 25px 15px;
    font-size: 16px;
  }
}